package cn.superdesk.uniorder.config.mybatis;

/**
 * @Description: Mybatis 日志
 * @Author: linjinyu
 * @CreateDate: 2020/11/6 上午11:07
 * @UpdateUser: linjinyu
 * @UpdateDate: 2020/11/6 上午11:07
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public class SlefLog implements org.apache.ibatis.logging.Log {

	/**
	 * 必须有一个构造函数时字符串参数的
	 * Mybatis 创建日志类时会调用一个字符串的构造函数
	 *
	 * @param s
	 */
	public SlefLog(String s) {
		out(s);
	}

	/**
	 * 是否开启Debug
	 * 如果要打印 sql 打开
	 *
	 * @return
	 */
	@Override
	public boolean isDebugEnabled() {
		return true;
	}

	/**
	 * 是否开启Trace
	 * 如果要打印 sql 结果集 打开
	 *
	 * @return
	 */
	@Override
	public boolean isTraceEnabled() {
		return false;
	}

	/**
	 * @param s
	 * @param throwable
	 */
	@Override
	public void error(String s, Throwable throwable) {
		out(s);
	}

	/**
	 * @param s
	 */
	@Override
	public void error(String s) {
		out(s);
	}

	/**
	 * SQL调试日志
	 *
	 * @param s
	 */
	@Override
	public void debug(String s) {
		out(s);
	}

	/**
	 * @param s
	 */
	@Override
	public void trace(String s) {
		out(s);
	}

	/**
	 * @param s
	 */
	@Override
	public void warn(String s) {

	}

	public void out(String s) {
		System.out.println("!!! " + s);
	}
}
